
using Godot;


namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class SetTick: Action
  {    
    [Export]
    public OnTick tick;

    [Export]
    public bool active = true;

    protected override void _OnTrigger()
    {
      if ( tick == null )
      {
        return;
      }

      tick.active = active;
    }
  }
}